﻿using AsReaderGUN251G;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AsReaderGUN251GDemo
{
    class ReceiveInventoryData
    {
       
        public int Index { get; set; }
        public string CodeData { get; set; }
        public int CountValue { get; set; }

        public ReceiveInventoryData(int _index, string _codeData, int _countValue)
        {
            Index = _index;
            CodeData = _codeData;
            CountValue = _countValue;
        }

    }

    class ReceiveBarcodeData
    {

        public int Index { get; set; }
        public string Type { get; set; }
        public string CodeID { get; set; }
        public string CodeData { get; set; }
        public int CountValue { get; set; }
        public string TypeCodeIDStr { get; set; }

        public ReceiveBarcodeData(int _index, string _type,string _codeID, string _codeData, int _countValue, string _typeCodeIDStr)
        {
            Index = _index;
            Type = _type;
            CodeID = _codeID;
            CodeData = _codeData;
            CountValue = _countValue;
            TypeCodeIDStr = _typeCodeIDStr;
        }

    }

    class SelectionMaskItemData {
        public AsPacket.MaskTargetType Target { get; set; }
        public AsPacket.MaskActionType Action { get; set; }
        public AsPacket.MemoryBank Bank { get; set; }
        public int Offset { get; set; }
        public int Length { get; set; }
        public string Mask { get; set; }
        public string TargetBankStr { get; set; }
        public string ActionMaskStr { get; set; }
        public string OffsetLengthStr { get; set; }


        public SelectionMaskItemData(AsPacket.MaskTargetType _target, AsPacket.MaskActionType _action, AsPacket.MemoryBank _bank, int _offset, int _length, string _mask
                                     ,string _targetBankStr, string _actionMaskStr, string _offsetLengthStr)
        {
            Target = _target;
            Action = _action;
            Bank = _bank;
            Offset = _offset;
            Length = _length;
            Mask = _mask;
            TargetBankStr = _targetBankStr;
            ActionMaskStr = _actionMaskStr;
            OffsetLengthStr = _offsetLengthStr;
        }

    }

    class EPCMaskItemData
    {
        public int Offset { get; set; }
        public int Length { get; set; }
        public string Mask { get; set; }
        public string OffsetStr { get; set; }
        public string LengthStr { get; set; }

        public EPCMaskItemData(int _offset, int _length, string _mask, string _offsetStr, string _lengthStr)
        {
            Offset = _offset;
            Length = _length;
            Mask = _mask;
            OffsetStr = _offsetStr;
            LengthStr = _lengthStr;
        }

    }

}
